ICU 56.1: Data Fields - Variables

ICU 56.1 56.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u

### - _ -

- _id : icu::SimpleNumberFormatFactory
- _visible : icu::SimpleNumberFormatFactory

### - a -

- a : UText
- access : UTextFuncs
- ALTERNATE_TIME_SEPARATOR : icu::DateFormatSymbols
- array : USerializedSet

### - b -

- b : UText
- begin : icu::CharacterIterator
- beginIndex : UFieldPosition
- bmpLength : USerializedSet

### - c -

- c : UText
- char32At : UReplaceableCallbacks
- charAt : UReplaceableCallbacks
- chars : icu::StringEnumeration
- charsBuffer : icu::StringEnumeration
- charsCapacity : icu::StringEnumeration
- charsetFamily : UDataInfo
- chunkContents : UText
- chunkLength : UText
- chunkNativeLimit : UText
- chunkNativeStart : UText
- chunkOffset : UText
- clone : UTextFuncs
- close : UTextFuncs
- codepoint : icu::UnicodeSetIterator
- codepointEnd : icu::UnicodeSetIterator
- context : UCharIterator , UText
- contextLimit : UTransPosition
- contextStart : UTransPosition
- converter : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- copy : UReplaceableCallbacks , UTextFuncs
- cpString : icu::UnicodeSetIterator
- current : UCharIterator

### - d -

- dataFormat : UDataInfo
- dataVersion : UDataInfo
- DEFAULT_TIME_SEPARATOR : icu::DateFormatSymbols

### - e -

- end : icu::CharacterIterator
- endElement : icu::UnicodeSetIterator
- endIndex : UFieldPosition
- endRange : icu::UnicodeSetIterator
- errorCode : icu::ErrorCode
- errors : UIDNAInfo
- extract : UReplaceableCallbacks , UTextFuncs
- extraSize : UText

### - f -

- fAreAllFieldsSet : icu::Calendar
- fAreFieldsSet : icu::Calendar
- fAreFieldsVirtuallySet : icu::Calendar
- fBreakType : icu::RuleBasedBreakIterator
- fCachedBreakPositions : icu::RuleBasedBreakIterator
- fCalendar : icu::DateFormat
- fCharIter : icu::RuleBasedBreakIterator
- fClientArrays : icu::RunArray
- fData : icu::RuleBasedBreakIterator
- fDCharIter : icu::RuleBasedBreakIterator
- fDictionaryCharCount : icu::RuleBasedBreakIterator
- fFields : icu::Calendar
- fFilterZeroWidth : icu::LayoutEngine
- fFontInstance : icu::LayoutEngine
- fGlyphStorage : icu::LayoutEngine
- fgNumberPatterns : icu::DecimalFormat
- field : UFieldPosition
- fIsSet : icu::Calendar
- fIsTimeSet : icu::Calendar
- flags : UText
- fLanguageBreakEngines : icu::RuleBasedBreakIterator
- fLanguageCode : icu::LayoutEngine
- fLastRuleStatusIndex : icu::RuleBasedBreakIterator
- fLastStatusIndexValid : icu::RuleBasedBreakIterator
- fLocales : icu::LocaleRuns
- flush : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- fNumberFormat : icu::DateFormat
- fNumCachedBreakPositions : icu::RuleBasedBreakIterator
- formatVersion : UDataInfo
- fPositionInCache : icu::RuleBasedBreakIterator
- fSCharIter : icu::RuleBasedBreakIterator
- fScriptCode : icu::LayoutEngine
- fStamp : icu::Calendar
- fText : icu::RuleBasedBreakIterator
- fTypoFlags : icu::LayoutEngine
- fUnhandledBreakEngine : icu::RuleBasedBreakIterator
- fX : LEPoint
- fY : LEPoint

### - g -

- getIndex : UCharIterator
- getState : UCharIterator

### - h -

- hasNext : UCharIterator
- hasPrevious : UCharIterator

### - i -

- index : UCharIterator
- integer : icu::Transliterator::Token
- isBigEndian : UDataInfo
- isTransitionalDifferent : UIDNAInfo

### - k -

- kDatePrecedence : icu::Calendar
- kDoubleFractionDigits : icu::DecimalFormat
- kDoubleIntegerDigits : icu::DecimalFormat
- kDOWPrecedence : icu::Calendar
- kMaxBranchLinearSubNodeLength : icu::StringTrieBuilder
- kMaxScientificIntegerDigits : icu::DecimalFormat
- kMaxSplitBranchLevels : icu::StringTrieBuilder
- kTypoFlagKern : icu::LayoutEngine
- kTypoFlagLiga : icu::LayoutEngine
- kYearPrecedence : icu::Calendar

### - l -

- length : UCharIterator , UReplaceableCallbacks , USerializedSet
- limit : UCharIterator , UTransPosition
- line : UParseError

### - m -

- m_breakiterator_ : icu::SearchIterator
- m_search_ : icu::SearchIterator
- m_text_ : icu::SearchIterator
- magic : UText
- mapNativeIndexToUTF16 : UTextFuncs
- mapOffsetToNative : UTextFuncs
- MAX_YEAR : icu::AnnualTimeZoneRule
- move : UCharIterator

### - n -

- nativeIndexingLimit : UText
- nativeLength : UTextFuncs
- next : UCharIterator
- nextElement : icu::UnicodeSetIterator
- nextString : icu::UnicodeSetIterator
- nodes : icu::StringTrieBuilder
- npos : icu::StringPiece

### - o -

- offset : UParseError
- offsets : UConverterFromUnicodeArgs , UConverterToUnicodeArgs

### - p -

- p : UText
- pExtra : UText
- pFuncs : UText
- pointer : icu::Transliterator::Token
- pos : icu::CharacterIterator
- postContext : UParseError
- preContext : UParseError
- previous : UCharIterator
- privA : UText
- privB : UText
- privC : UText
- privP : UText
- providerProperties : UText
- ptr : icu::LocalPointerBase< T >

### - q -

- q : UText

### - r -

- r : UText
- range : icu::UnicodeSetIterator
- replace : UReplaceableCallbacks , UTextFuncs
- reserved1 : UTextFuncs
- reserved2 : UTextFuncs
- reserved3 : UTextFuncs
- reservedB3 : UIDNAInfo
- reservedByte : UDataInfo
- reservedField : UCharIterator
- reservedFn : UCharIterator
- reservedI2 : UIDNAInfo
- reservedI3 : UIDNAInfo
- reservedWord : UDataInfo

### - s -

- set : icu::UnicodeSetIterator
- setState : UCharIterator
- size : UConverterFromUnicodeArgs , UConverterToUnicodeArgs , UDataInfo , UIDNAInfo
- sizeOfStruct : UText
- sizeofUChar : UDataInfo
- source : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- sourceLimit : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- spare1 : UTextFuncs
- spare2 : UTextFuncs
- spare3 : UTextFuncs
- start : UCharIterator , UTransPosition
- staticArray : USerializedSet
- string : icu::UnicodeSetIterator
- stringCount : icu::UnicodeSetIterator

### - t -

- tableSize : UTextFuncs
- target : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- targetLimit : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- text : icu::StringCharacterIterator , icu::UCharCharacterIterator
- textLength : icu::CharacterIterator

### - u -

- unistr : icu::StringEnumeration